> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get assets

> This endpoint allows you to retrieve supported cryptocurrency.



## OpenAPI

````yaml openapi.json get /assets
openapi: 3.0.3
info:
  title: Bread API
  description: >-
    The Bread provides comprehensive cryptocurrency wallet management
    capabilities including wallet creation, balance monitoring, and asset
    transfers.
  version: 2.0.0
servers:
  - url: https://processor-prod.up.railway.app
    description: Production server
security: []
paths:
  /assets:
    get:
      tags:
        - Miscellaneous
      summary: Get assets
      description: This endpoint allows you to retrieve supported cryptocurrency.
      operationId: getAssets
      responses:
        '200':
          description: Assets fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAssetsResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetAssetsResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Assets fetched successfully
        timestamp:
          type: string
          format: date-time
          example: '2025-09-09T17:28:20.783Z'
        data:
          type: array
          items:
            $ref: '#/components/schemas/Asset'
    Asset:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the asset
          example: ethereum:usdc
        name:
          type: string
          description: Full name of the asset
          example: USD Coin
        code:
          type: string
          description: Asset code/symbol
          example: USDC
        address:
          type: string
          description: Contract address of the asset on the blockchain
          example: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
        blockchain:
          type: string
          description: Blockchain network where the asset exists
          example: Ethereum
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-service-key

````